"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useHttp = void 0;
const express_1 = __importDefault(require("express"));
const routing_controllers_1 = require("routing-controllers");
const typedi_1 = __importDefault(require("typedi"));
const useSwagger_1 = require("./useSwagger");
const useHttp = (options) => {
    (0, routing_controllers_1.useContainer)(typedi_1.default);
    const { addSwaggerRoutes } = (0, useSwagger_1.useSwagger)();
    const createServer = () => {
        const app = (0, express_1.default)();
        (0, routing_controllers_1.useExpressServer)(app, Object.assign({ cors: true }, options));
        addSwaggerRoutes(app);
        return app;
    };
    return {
        createServer,
    };
};
exports.useHttp = useHttp;
//# sourceMappingURL=useHttp.js.map